DH_AUTO_INSTALL(1)

NOM
dh_auto_install - Lancer automatiquement make install ou équivalent

SYNOPSIS
dh_auto_install [options_du_processus_de_construction] [options_de_debhelper] [-- paramètres]

DESCRIPTION
dh_auto_install est un programme de la suite debhelper qui tente d'installer automatiquement les fichiers construits. Il le fait en lançant les commandes appropriées du processus de construction d'après le type du paquet. Par exemple, s'il y a un Makefile et qu'il contient un bloc install il exécutera make (ou MAKE si les variables d'environnement sont définies). S'il y a un setup.py ou un Build.PL, il l'utilisera. Nota : le processus de construction Ant ne comporte pas de processus d'installation. De ce fait b<dh_auto_install> n'installera pas les fichiers construits avec Ant.

À moins que l'option --destdir soit indiquée, les fichiers sont installés dans debian/Paquet/ s'il n'y a qu'un seul paquet binaire. Dans le cas de paquets binaires multiples, les fichiers seront installés dans debian/tmp et pourront être déplacés vers le répertoire de construction approprié du paquet en utilisant dh_install(1).

DESTDIR est utilisé pour indiquer à make où installer les fichiers. Si le Makefile a été produit par MakeMaker à partir d'un Makefile.PL, cette variable sera automatiquement définie à PREFIX=/usr car ces Makefile en ont besoin.

dh_auto_install fonctionne avec 90% des paquets environ. Si ça ne fonctionne pas ou si dh_auto_install tente d'utiliser une mauvaise méthode d'installation, il suffit de sauter dh_auto_install et de lancer manuellement make install.

OPTIONS
Consulter OPTIONS DU PROCESSUS DE CONSTRUCTION dans debhelper(7) pour obtenir la liste des processus de construction courants et celle des options de contrôle.

--destdir=répertoire
    Installe les fichiers dans le répertoire indiqué. Si cette option est absente, le répertoire de destination est défini automatiquement, comme cela est décrit dans la section "DESCRIPTION".

-- paramètres
    Transmet les paramètres au programme exécuté après les paramètres que dh_auto_install transmet normalement.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».